=== debian/changelog ===
ayatana-indicator-sound (0.8.0-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #968706).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 20 Aug 2020 15:33:45 +0200
