=== debian/control ===
Source: ayatana-indicator-sound
Section: misc
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake,
               cmake-extras (>= 0.10),
               dbus,
#               dbus-test-runner (>> 14.04.0+14.04.20150120.1),
#               gcovr,
               gir1.2-accountsservice-1.0,
               mate-common,
#               googletest | google-mock (>= 1.6.0+svn437),
               intltool,
               valac (>= 0.20),
#               lcov,
               libaccountsservice-dev,
               libdbustest1-dev (>= 15.04.0),
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.32.0),
#               libqtdbusmock1-dev (>= 0.3),
#               libqtdbustest1-dev,
               libpulse-dev (>= 5.0),
               libpulse-mainloop-glib0 (>= 0.9.18),
               libnotify-dev,
               libgee-0.8-dev,
               libxml2-dev,
               pulseaudio,
#               python3-dbusmock,
               qtbase5-dev,
               qtbase5-dev-tools,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               systemd [linux-any],
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/ArcticaProject/ayatana-indicator-sound
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-session.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-session

Package: ayatana-indicator-sound
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         pulseaudio,
         ayatana-indicator-common (>= 0.8.0),
         libglib2.0-bin,
Recommends: unity-control-center | gnome-control-center | pavucontrol | mate-media,
            accountsservice,
Suggests: ayatana-greeter-session-broadcast,
Description: Ayatana Indicator for managing system sound
 This Ayatana Indicator is designed to be placed on the right side of a
 panel and give the user easy control over the system's sound settings.
 .
 Ayatana Indicator Sound provides easy control of the PulseAudio sound
 daemon, and integrates well with media players that support the Mpris
 protocol.
