## ayatana-indicator-sound 0.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")
 
 set(PACKAGE ${CMAKE_PROJECT_NAME})
-set(PROJECT_VERSION 0.8.0)
+set(PROJECT_VERSION 0.8.1)
 find_package(PkgConfig REQUIRED)
 include(GNUInstallDirs)
 include(UseVala)
