=== debian/changelog ===
ayatana-indicator-sound (0.8.1-2) unstable; urgency=medium

  * debian/control:
    + Add Debian UBports Team to Uploaders: field.
    + Mention desktop envs that support system indicators in LONG_DESCRIPTION.
    + Fix Vcs-*: URLs (wrong repo).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 07 Nov 2020 15:07:48 +0100

ayatana-indicator-sound (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add B:/R: relation for indicator-sound.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 10 Sep 2020 22:21:32 +0200
