=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
+ Debian UBports Team <team+ubports@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
                cmake,
                cmake-extras (>= 0.10),
@@ -36,8 +37,8 @@
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ArcticaProject/ayatana-indicator-sound
-Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-session.git
-Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-session
+Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-sound.git
+Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-sound
 
 Package: ayatana-indicator-sound
 Architecture: any
@@ -49,6 +50,8 @@
 Recommends: unity-control-center | gnome-control-center | pavucontrol | mate-media,
             accountsservice,
 Suggests: ayatana-greeter-session-broadcast,
+Breaks: indicator-sound,
+Replaces: indicator-sound,
 Description: Ayatana Indicator for managing system sound
  This Ayatana Indicator is designed to be placed on the right side of a
  panel and give the user easy control over the system's sound settings.
@@ -56,3 +59,7 @@
  Ayatana Indicator Sound provides easy control of the PulseAudio sound
  daemon, and integrates well with media players that support the Mpris
  protocol.
+ .
+ Ayatana Indicators are only available on desktop environments that
+ provide a renderer for system indicators (such as MATE, XFCE, Lomiri,
+ etc.).
