## ayatana-indicator-sound 0.8.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")
 
 set(PACKAGE ${CMAKE_PROJECT_NAME})
-set(PROJECT_VERSION 0.8.1)
+set(PROJECT_VERSION 0.8.2)
 find_package(PkgConfig REQUIRED)
 include(GNUInstallDirs)
 include(UseVala)
@@ -30,11 +30,11 @@
 )
 include_directories(${PULSEAUDIO_INCLUDE_DIRS})
 
-set(URL_DISPATCHER_1_REQUIRED_VERSION 1)
+set(URL_DISPATCHER_REQUIRED_VERSION 0)
 
 pkg_check_modules(
   URLDISPATCHER
-  url-dispatcher-1>=${URL_DISPATCHER_1_REQUIRED_VERSION}
+  lomiri-url-dispatcher>=${URL_DISPATCHER_REQUIRED_VERSION}
 )
 include_directories(${URLDISPATCHER_INCLUDE_DIRS})
 
@@ -50,7 +50,7 @@
 )
 include_directories(${SOUNDSERVICE_INCLUDE_DIRS})
 
-pkg_check_modules(UNITY_API libunity-api>=0.1.3)
+pkg_check_modules(UNITY_API liblomiri-api>=0.1.1)
 
 include_directories(${TEST_INCLUDE_DIRS})
