=== include/CMakeLists.txt ===
if(LOMIRI_API_FOUND)
add_subdirectory(lomiri)
endif()
