=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 if(URLDISPATCHER_FOUND)
     set (VALA_DEFINE_URLDISPATCHER "--define=HAS_URLDISPATCHER")
-    set (VALA_PKG_URLDISPATCHER "url-dispatcher")
+    set (VALA_PKG_URLDISPATCHER "lomiri-url-dispatcher")
 endif()
 
 if(EXISTS "/usr/share/glib-2.0/schemas/com.ubuntu.sound.gschema.xml")
