=== debian/changelog ===
ayatana-indicator-sound (0.8.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Switch to format version 4.
  * debian/control:
    + Add B-Ds: liblomiri-api-dev, liblomiri-url-dispatcher-dev.
    + Bump Standards-Version: to 4.5.1. No changes needed.
    + Fix capitalization of Xfce. Thanks lintian.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 02 Feb 2021 19:55:40 +0100
