=== debian/control ===
--- 
+++ 
@@ -22,6 +22,8 @@
                libglib2.0-dev (>= 2.32.0),
 #               libqtdbusmock1-dev (>= 0.3),
 #               libqtdbustest1-dev,
+               liblomiri-api-dev (>= 0.1.1),
+               liblomiri-url-dispatcher-dev (>= 0.1),
                libpulse-dev (>= 5.0),
                libpulse-mainloop-glib0 (>= 0.9.18),
                libnotify-dev,
@@ -34,9 +36,9 @@
                qtdeclarative5-dev,
                qtdeclarative5-dev-tools,
                systemd [linux-any],
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: https://github.com/ArcticaProject/ayatana-indicator-sound
+Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-sound
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-sound.git
 Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-sound
 
@@ -61,5 +63,5 @@
  protocol.
  .
  Ayatana Indicators are only available on desktop environments that
- provide a renderer for system indicators (such as MATE, XFCE, Lomiri,
+ provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
  etc.).
