=== debian/rules ===
#!/usr/bin/make -f

NULL =

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	# Debian defines CMAKE_INSTALL_LOCALSTATEDIR as /usr/var, which is wrong.
	# So until Debian bug 719148 is fixed, do it ourselves.
	dh_auto_configure -- -DCMAKE_INSTALL_LOCALSTATEDIR="/var" \
	                     -Denable_tests=off \
	                     $(NULL)

override_dh_missing:
	dh_missing --fail-missing

# For live test logs:
#override_dh_auto_test:
#	ARGS=-V dh_auto_test

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
